If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

In Change PSM password dialog Token Name and the Cancel button label are not localized properly

VERIFIED DUPLICATE of bug 88322

Status

Core Graveyard
Security: UI
P2
normal
VERIFIED DUPLICATE of bug 88322
17 years ago
a year ago

People

(Reporter: Yuying Long, Assigned: Rangan Sen)

Tracking

({l12y})

1.0 Branch
psm2.2

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(3 attachments)

Description

17 years ago
Build: Win32 N6.1beta1/WinME-Ja and Linux N6.1 beta1/LinuxRH6.2-Ja

Steps to reproduce:
1. Launch browser.
2. Tasks | Privacy and Security | Password Manager | Change Personal Security
Password.

Result(see the attach file later):
1. The String name after "Token Name" display as "... ... ..."
2. On Windows, the dialog has been cut-off and can not be resized.



------- Additional Comments From ylong@netscape.com 2001-06-19 15:41:11 ----

Created an attachment (id=1919)
Windows.




------- Additional Comments From ylong@netscape.com 2001-06-19 15:43:07 ----

Created an attachment (id=1922)
This one on Windows.  And the previous one was on Linux.




------- Additional Comments From rchen@netscape.com 2001-06-22 14:20:23 ----

Reassigned to ddrinan@netscape.com to resize the dialogs,



------- Additional Comments From lord@netscape.com 2001-06-22 17:24:30 ----

This is very good information.  However, we only handle bugs in Bugzilla.  May I
ask you to move this bug there?  It's probably a dup, but it's probably
important to get you to help confirm that our fixes really work.



------- Bug moved to this database by andreasb@netscape.com 2001-06-25 10:09 -------

This bug previously known as bug 6602 at http://bugscape.netscape.com/
http://bugscape.netscape.com/show_bug.cgi?id=6602
Originally filed under the Browser product and Localization-JA component.

---
Unknown bug field "attachment" encountered while moving bug
<attachment>
  <attachid> 1919 </attachid>
  <date> 06/19/01 15:41 </date>
  <desc> Windows. </desc>
</attachment>
---
Unknown bug field "attachment" encountered while moving bug
<attachment>
  <attachid> 1922 </attachid>
  <date> 06/19/01 15:43 </date>
  <desc> This one on Windows.  And the previous one was on Linux. </desc>
</attachment>
Skipping unknown keyword: nsBranch.

Comment 1

17 years ago
Bringing over keywords from bugscape bug# 6602.
Keywords: nsBranch

Comment 2

17 years ago
Moving to PSM.
Component: Browser-General → Client Library
Product: Browser → PSM
Target Milestone: --- → 2.1
Version: other → 2.0

Comment 3

17 years ago
Created attachment 39941 [details]
1st snapshot

Comment 4

17 years ago
Created attachment 39942 [details]
2nd snapshot

Updated

17 years ago
Keywords: nsenterprise

Comment 5

16 years ago
rangansen
Assignee: ddrinan → rangansen
Status: NEW → UNCONFIRMED
(Reporter)

Updated

16 years ago
Status: UNCONFIRMED → NEW
Ever confirmed: true
(Assignee)

Comment 6

16 years ago
I believe this is a dup of 
http://bugzilla.mozilla.org/show_bug.cgi?id=84825 as well. However, it looks 
like the 'Set Master Password' dialog box has changed a bit from the way it was 
when this bug was filed - is it correct?
(Assignee)

Updated

16 years ago
Status: NEW → ASSIGNED

Comment 7

16 years ago
rangansen: if it's a dup dup it.

Updated

16 years ago
Keywords: intl

Updated

16 years ago
Keywords: intl → l12y

Comment 8

16 years ago
future

Updated

16 years ago
Target Milestone: 2.1 → Future

Comment 9

16 years ago
Marking nsbranch- as it was decided in the August bug triage that we wouldn't
have enough time in eMojo to fix this.  Let's revisit for MachV.
Keywords: nsbranch-

Comment 10

16 years ago
removed keyword nsbranch since bug now has nsbranch-, per pdt mtg.
Keywords: nsbranch

Comment 11

16 years ago
marking nsenterprise-; will be reevaluated for nsenterprise in future release.

Keywords: nsenterprise-
(Reporter)

Comment 12

16 years ago
Nominate as nsbeta1

Updated

16 years ago
Blocks: 107067

Updated

16 years ago
Keywords: nsbranch-

Comment 13

16 years ago
adding nsbeta1
Does anyone have a status on this one? Is someone working on fixing it?
Keywords: nsbeta1

Comment 14

16 years ago
rangan, in comment # 6
http://bugzilla.mozilla.org/show_bug.cgi?id=87640#c6
you say that this may be a dupe. However the proposed candidate is already fixed.

ylong: I take it that you're still seeing the behavior on the trunk. Is that right?

Rangan please follow up.
(Assignee)

Comment 15

16 years ago
With a trunk build [few days old] on my m/c it appears that both the problems
reported here does not show up any more:
1. The window is resizable
2. The device name displays ok.
Also, the text on cancel button does not spill over. The ok button is not
properly internationalized, though. Snapshot follows.

ylong: If you are still seeing this problem, could you pl let me know your build id?
(Assignee)

Comment 16

16 years ago
Created attachment 57703 [details]
Window snapshot
(Reporter)

Comment 17

16 years ago
Yes, the original problems are not existing on N6.2 RTM build, however I just a
little concern about the string "Software Security Deivce" is in English on
Japanese build, is it localizible? cause it was showing "... ... ..." before.

Comment 18

16 years ago
"Software Security Deivce" string is not localizable. Bug 88322 was filed for
the l12y problem on login prompt. Rangan, do you think we need to file seperate
bug for the l12y problem of this string on this particular window?
(Assignee)

Comment 19

16 years ago
No - for in both cases the string "Software Security Device" is originally 
obtained from the same place [InternalToken property in pipnss.properties]. So 
once this is localizable we should see it in both windows. 
Also, for external devices - like smart cards, etc, the names are obtained from 
the specific drivers and not from the locale files - so, fixing Bug 88322 would 
still leave them non localizable, unless the devices themselves have locale 
support.

BTW - when I try to d/l a locale content pack with one of the latest daily 
builds, I get an error "You must install the latest version of Netscape in order 
to use the content packs" - can someone throw any light on this issue?
(Assignee)

Comment 20

16 years ago
Updating target to 2.2, anyway
Target Milestone: Future → 2.2

Comment 21

16 years ago
I think the language pack you downloaded doesn't sync with the current trunk build. 
It only works for 6.2 build. The error message is kind of misleading.

Comment 22

16 years ago
Rangan,
actually I've found that the following property is used:
PrivateTokenDescription
in ssl/resources/locale/en-US/pipnss.properties

I believe this file is localizable.
There is one caveat though. These strings have to abide by the pkcs11 specs
which has a fixed sized format of 32 bytes followed by a null byte.
The nss code will pad this with space or truncate. This may affect the ability
to localize this string.

You can try by having a dev env, and checking the value of the
PrivateTokenDescription in you localized version of pipnss.properties.

(Assignee)

Comment 23

16 years ago
Changing the summary to reflect the current situation on this i.e. :

The Software Security Device string and the OK button label are not localized
Summary: Change PSM password dialog has cut-off and missed string of Token name → In Change PSM password dialog Token Name and the OK button label are not localized properly

Comment 24

16 years ago
Yuying, what's the status now. Do we still have the problem in JA NS 6.2.1?
(Reporter)

Comment 25

16 years ago
On JA 6.2.1, the dialog UI has been changed different than in original report. 
There is no "token name" in new UI, it shows "Security Device: Software Security
Device" instead, however "Software Security Device" is in English not has been
localized, and the title of dialog still displayed as "... ...".  But I think
it's handled by another bug (Xianglan may know more about that status).

The problem with Cancel button has been resolved by the font changing of linux
JA 6.2 build. 
Summary: In Change PSM password dialog Token Name and the OK button label are not localized properly → In Change PSM password dialog Token Name and the Cancel button label are not localized properly

Comment 26

16 years ago
The UI has been changed since the original problem was reported, and the  l12y
problem of device string is covered in bug 88322. I don't see the window title
problem on Ja 6.2.1 build on my system (US W2K with default locale set to
Japanese). I think this bug can be resolved as a dup of bug 88322.
(Assignee)

Comment 27

16 years ago

*** This bug has been marked as a duplicate of 88322 ***
Status: ASSIGNED → RESOLVED
Last Resolved: 16 years ago
Resolution: --- → DUPLICATE
(Reporter)

Comment 28

16 years ago
Verified as so.
Status: RESOLVED → VERIFIED

Updated

13 years ago
Component: Security: UI → Security: UI
Product: PSM → Core

Updated

9 years ago
Version: psm2.0 → 1.0 Branch
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.